// $Id: CIncludeTask.h,v 1.5 2003/04/09 10:26:45 ta_muto Exp $
// The class which reads and outputs a file.

#ifndef __wax_CIncludeTask_h
#define __wax_CIncludeTask_h

#include <common.h>
#include <views/ITask.h>
#include <IReader.h>

namespace wax {
	class CIncludeTask : public ITask {
		IReader* reader;
	public:
		CIncludeTask();
		~CIncludeTask();
		
		bool parse(CEnvironment* runenv, xmlNodePtr cur);
		bool execute();
		void output(IWriter* writer);
	} ;
}

#endif
